<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB367 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
       
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "total_amount",
            'position' => 5,
            'size' => 5,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "description",
            'position' => 10,
            'size' => 28,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "smallest_date",
            'position' => 38,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "largest_date",
            'position' => 44,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "currency_type",
            'position' => 50,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "last_value",
            'position' => 53,
            'size' => 9,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "source",
            'position' => 62,
            'size' => 20,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "local",
            'position' => 82,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "total_value",
            'position' => 86,
            'size' => 9,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 95,
            'size' => 21,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}